@extends('layouts.bootstrap3')
@section('styles')

<link href="{{ get_asset('dist/css/paper-bootstrap-wizard.css') }}" rel="stylesheet">
<link rel="stylesheet" href="{{ get_asset('dist/css/charts.css') }}">
<link href="{{ get_asset('dist/css/themify-icons.css')}}" rel="stylesheet">
<link href="{{ get_asset('dist/css/fontawesome.min.css')}}" rel="stylesheet">


@endsection

@section('content')
@include('dashboard.metrics.partials.confirm-public')
<div id="global-loader">
    <img src="{{get_asset('dist/images/loader.gif')}}" class="loader-img" alt="Loader">
    <div class="loader-text"></div>
</div>

<div>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <!--      Wizard container        -->
                <div class="wizard-container">
                    <div class="card wizard-card" data-color="blue" id="wizard"
                        style="box-shadow:0 0 0 0 rgba(0, 0, 0, 0.57);margin-bottom: 0px;padding:0">
                        <!--        You can switch " data-color="green" "  with one of the next bright colors: "blue", "azure", "orange", "red"       -->
                        <div class="wizard-navigation">
                            <div class="progress-with-circle">
                                <div class="progress-bar" role="progressbar" aria-valuenow="1" aria-valuemin="1"
                                    aria-valuemax="4" style="width: 10%"></div>
                            </div>
                            <ul class="steps nav nav-pills" id="tabs">
                                <li id="database" class="" style="width: 20%">
                                    <a href="#type" data-toggle="tab" aria-expanded="false">
                                        <div class="icon-circle checked">
                                            <i class="ti-brush"></i>
                                        </div>
                                        Appearnce
                                    </a>
                                </li>

                                <li id="database" class="" style="width: 20%">
                                    <a href="#setup" data-toggle="tab" aria-expanded="false">
                                        <div class="icon-circle checked">
                                            <i class="ti-settings"></i>
                                        </div>
                                        Settings
                                    </a>
                                </li>
                                <li style="width: 20%">
                                    <a href="#data" data-toggle="tab">
                                        <div class="icon-circle">
                                            <i class="ti-server"></i>
                                        </div>
                                        Data
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="tab-content" style="padding:105px 20px 0px">
                            <div class="tab-pane" id="type">
                                <div class="row"></div>
                                <form action="#" id="metric-type-form"
                                    data-url="{{ route('metrics.wizard.appearance.store') }}">
                                    @csrf
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <h5 style="color: #67b0ca;margin-bottom:0">
                                                    <b>Metric Type</b>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="This field allows you to select the display format for your Metric / KPI. You can choose either to display the metric as a numeric value within an info box, a numeric value accompanied by an icon (to visually represent the meaning of the indicator) in an info box, or visualize the metric using a gauge chart."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>

                                                </h5>


                                                <div class="text-center">
                                                    @foreach (array_chunk($metrics, 3) as $metrics_chunk)
                                                    <div class="row">
                                                        @foreach ($metrics_chunk as $metric)
                                                        @php
                                                        $image =$metric['image'];
                                                        @endphp
                                                        <div class="col-sm-4" style="margin-bottom: 0">
                                                            <label class="metric-container"
                                                                for="{{ $metric['value'] }}Radio">
                                                                <img src="{{ get_asset('dist/images/' .
                                                                    $metric['image'])}}" width="90%" alt="metric" />
                                                            </label>
                                                            <div class="custom-control custom-radio">
                                                                <input type="radio" id="{{ $metric['value'] }}Radio"
                                                                    name="metric_type" value="{{ $metric['value'] }}"
                                                                    class="custom-control-input" />
                                                                <label class="custom-control-label"
                                                                    for="{{ $metric['value'] }}Radio">{{$metric['label']}}</label>
                                                            </div>
                                                        </div>
                                                        @endforeach

                                                    </div>
                                                    @endforeach

                                                    <div class="col-sm-5" id="metric-color-drop-menu"
                                                        style="margin-top: 10px;text-align:left">
                                                        <h5 style="color: #67b0ca">
                                                            <b>Metric Color </b>
                                                            <span class="glyphicon glyphicon-info-sign"
                                                                data-toggle="tooltip"
                                                                data-title="This color will serve as either the background color of the info box or the color of the gauge chart."
                                                                style="color: #68b3c8; margin-left: 5px">
                                                            </span>
                                                        </h5>
                                                        <div class="form-group">
                                                            <select class="form-control" id="metricColor"
                                                                name="metric_color">
                                                                <option value="">Please Choose Metric color</option>
                                                                @foreach ($colors as $color)
                                                                <option value="{{ $color }}">{{ ucfirst($color) }}
                                                                </option>
                                                                @endforeach
                                                            </select>
                                                        </div>

                                                    </div>
                                                    <div class="col-sm-5"
                                                        style="margin-top: 10px;text-align:left;display:none"
                                                        id="info-box-icon-drop-menu">
                                                        <h5 style="color: #67b0ca">
                                                            <b>Info Box icon</b>
                                                            <span class="glyphicon glyphicon-info-sign"
                                                                data-toggle="tooltip"
                                                                data-title="Select an icon that represents the meaning of the Metric. This icon will be displayed alongside the metric value in the info box."
                                                                style="color: #68b3c8; margin-left: 5px">
                                                            </span>
                                                        </h5>
                                                        <div class="form-group">
                                                            <select class="form-control" id="info-box-icon"
                                                                name="info_box_icon" style="font-family: 'FontAwesome'">
                                                                <option value="">Please Choose icon</option>
                                                                <option value="#xf036;">&#xf036; </option>
                                                                <option value="#xf038;">&#xf038; </option>
                                                                <option value="#xf270;">&#xf270; </option>
                                                                <option value="#xf0f9;">&#xf0f9; </option>
                                                                <option value="#xf13d;">&#xf13d; </option>
                                                                <option value="#xf17b;">&#xf17b; </option>
                                                                <option value="#xf209;">&#xf209; </option>
                                                                <option value="#xf103;">&#xf103; </option>
                                                                <option value="#xf100;">&#xf100; </option>
                                                                <option value="#xf101;">&#xf101; </option>
                                                                <option value="#xf102;">&#xf102; </option>
                                                                <option value="#xf104;">&#xf104; </option>
                                                                <option value="#xf105;">&#xf105; </option>
                                                                <option value="#xf106;">&#xf106; </option>
                                                                <option value="#xf179;">&#xf179; </option>
                                                                <option value="#xf187;">&#xf187; </option>
                                                                <option value="#xf1fe;">&#xf1fe; </option>
                                                                <option value="#xf0ab;">&#xf0ab;</option>
                                                                <option value="#xf0a8;">&#xf0a8;</option>
                                                                <option value="#xf01a;">&#xf01a;</option>
                                                                <option value="#xf190;">&#xf190;</option>
                                                                <option value="#xf18e;">&#xf18e;</option>
                                                                <option value="#xf01b;">&#xf01b;</option>
                                                                <option value="#xf0a9;">&#xf0a9;</option>
                                                                <option value="#xf0aa;">&#xf0aa;</option>
                                                                <option value="#xf063;">&#xf063; </option>
                                                                <option value="#xf060;">&#xf060; </option>
                                                                <option value="#xf061;">&#xf061; </option>
                                                                <option value="#xf062;">&#xf062; </option>
                                                                <option value="#xf047;">&#xf047; </option>
                                                                <option value="#xf0b2;">&#xf0b2; </option>
                                                                <option value="#xf07e;">&#xf07e; </option>
                                                                <option value="#xf07d;">&#xf07d; </option>
                                                                <option value="#xf069;">&#xf069; </option>
                                                                <option value="#xf1fa;">&#xf1fa; </option>
                                                                <option value="#xf1b9;">&#xf1b9; </option>
                                                                <option value="#xf04a;">&#xf04a; </option>
                                                                <option value="#xf24e;">&#xf24e; </option>
                                                                <option value="#xf05e;">&#xf05e; </option>
                                                                <option value="#xf19c;">&#xf19c; </option>
                                                                <option value="#xf080;">&#xf080; </option>
                                                                <option value="#xf080;">&#xf080; </option>
                                                                <option value="#xf240;">&#xf240; </option>
                                                                <option value="#xf0fc;">&#xf0fc; </option>
                                                                <option value="#xf1b4;">&#xf1b4; </option>
                                                                <option value="#xf1b5;">&#xf1b5; </option>
                                                                <option value="#xf0f3;">&#xf0f3; </option>
                                                                <option value="#xf0a2;">&#xf0a2; </option>
                                                                <option value="#xf1f6;">&#xf1f6; </option>
                                                                <option value="#xf1f7;">&#xf1f7; </option>
                                                                <option value="#xf206;">&#xf206; </option>
                                                                <option value="#xf1e5;">&#xf1e5; </option>
                                                                <option value="#xf1fd;">&#xf1fd; </option>
                                                                <option value="#xf171;">&#xf171; </option>
                                                                <option value="#xf172;">&#xf172;</option>
                                                                <option value="#xf15a;">&#xf15a; </option>
                                                                <option value="#xf27e;">&#xf27e; </option>
                                                                <option value="#xf032;">&#xf032; </option>
                                                                <option value="#xf0e7;">&#xf0e7; </option>
                                                                <option value="#xf1e2;">&#xf1e2; </option>
                                                                <option value="#xf02d;">&#xf02d; </option>
                                                                <option value="#xf02e;">&#xf02e; </option>
                                                                <option value="#xf097;">&#xf097; </option>
                                                                <option value="#xf0b1;">&#xf0b1; </option>
                                                                <option value="#xf15a;">&#xf15a; </option>
                                                                <option value="#xf188;">&#xf188; </option>
                                                                <option value="#xf1ad;">&#xf1ad; </option>
                                                                <option value="#xf0f7;">&#xf0f7; </option>
                                                                <option value="#xf0a1;">&#xf0a1; </option>
                                                                <option value="#xf140;">&#xf140; </option>
                                                                <option value="#xf207;">&#xf207; </option>
                                                                <option value="#xf1ba;">&#xf1ba; </option>
                                                                <option value="#xf073;">&#xf073; </option>
                                                                <option value="#xf030;">&#xf030; </option>
                                                                <option value="#xf1b9;">&#xf1b9; </option>
                                                                <option value="#xf0d8;">&#xf0d8; </option>
                                                                <option value="#xf217;">&#xf217; </option>
                                                                <option value="#xf20a;">&#xf20a; </option>
                                                                <option value="#xf1f3;">&#xf1f3; </option>
                                                                <option value="#xf24b;">&#xf24b; </option>
                                                                <option value="#xf1f4;">&#xf1f4; </option>
                                                                <option value="#xf1f5;">&#xf1f5; </option>
                                                                <option value="#xf1f0;">&#xf1f0; </option>
                                                                <option value="#xf0c1;">&#xf0c1; </option>
                                                                <option value="#xf00c;">&#xf00c; </option>
                                                                <option value="#xf053;">&#xf053; </option>
                                                                <option value="#xf054;">&#xf054; </option>
                                                                <option value="#xf077;">&#xf077; </option>
                                                                <option value="#xf1ae;">&#xf1ae; </option>
                                                                <option value="#xf268;">&#xf268; </option>
                                                                <option value="#xf111;">&#xf111; </option>
                                                                <option value="#xf10c;">&#xf10c; </option>
                                                                <option value="#xf1ce;">&#xf1ce; </option>
                                                                <option value="#xf1db;">&#xf1db; </option>
                                                                <option value="#xf0ea;">&#xf0ea; </option>
                                                                <option value="#xf017;">&#xf017; </option>
                                                                <option value="#xf24d;">&#xf24d; </option>
                                                                <option value="#xf00d;">&#xf00d; </option>
                                                                <option value="#xf0c2;">&#xf0c2; </option>
                                                                <option value="#xf0ed;">&#xf0ed; </option>
                                                                <option value="#xf0ee;">&#xf0ee; </option>
                                                                <option value="#xf157;">&#xf157; </option>
                                                                <option value="#xf121;">&#xf121; </option>
                                                                <option value="#xf126;">&#xf126; </option>
                                                                <option value="#xf1cb;">&#xf1cb; </option>
                                                                <option value="#xf0f4;">&#xf0f4; </option>
                                                                <option value="#xf013;">&#xf013; </option>
                                                                <option value="#xf085;">&#xf085; </option>
                                                                <option value="#xf0db;">&#xf0db; </option>
                                                                <option value="#xf075;">&#xf075; </option>
                                                                <option value="#xf0e5;">&#xf0e5; </option>
                                                                <option value="#xf27a;">&#xf27a; </option>
                                                                <option value="#xf27b;">&#xf27b; </option>
                                                                <option value="#xf086;">&#xf086; </option>
                                                                <option value="#xf0e6;">&#xf0e6; </option>
                                                                <option value="#xf14e;">&#xf14e; </option>
                                                                <option value="#xf066;">&#xf066; </option>
                                                                <option value="#xf20e;">&#xf20e; </option>
                                                                <option value="#xf26d;">&#xf26d; </option>
                                                                <option value="#xf0c5;">&#xf0c5; </option>
                                                                <option value="#xf1f9;">&#xf1f9; </option>
                                                                <option value="#xf25e;">&#xf25e;</option>
                                                                <option value="#xf09d;">&#xf09d; </option>
                                                                <option value="#xf125;">&#xf125; </option>
                                                                <option value="#xf05b;">&#xf05b; </option>
                                                                <option value="#xf13c;">&#xf13c; </option>
                                                                <option value="#xf1b2;">&#xf1b2; </option>
                                                                <option value="#xf1b3;">&#xf1b3; </option>
                                                                <option value="#xf0c4;">&#xf0c4; </option>
                                                                <option value="#xf0f5;">&#xf0f5; </option>
                                                                <option value="#xf0e4;">&#xf0e4; </option>
                                                                <option value="#xf210;">&#xf210; </option>
                                                                <option value="#xf1c0;">&#xf1c0; </option>
                                                                <option value="#xf03b;">&#xf03b; </option>
                                                                <option value="#xf1a5;">&#xf1a5; </option>
                                                                <option value="#xf108;">&#xf108; </option>
                                                                <option value="#xf1bd;">&#xf1bd; </option>
                                                                <option value="#xf219;">&#xf219; </option>
                                                                <option value="#xf1a6;">&#xf1a6; </option>
                                                                <option value="#xf155;">&#xf155; </option>
                                                                <option value="#xf019;">&#xf019; </option>
                                                                <option value="#xf17d;">&#xf17d; </option>
                                                                <option value="#xf16b;">&#xf16b; </option>
                                                                <option value="#xf1a9;">&#xf1a9; </option>
                                                                <option value="#xf044;">&#xf044; </option>
                                                                <option value="#xf052;">&#xf052; </option>
                                                                <option value="#xf141;">&#xf141; </option>
                                                                <option value="#xf142;">&#xf142; </option>
                                                                <option value="#xf1d1;">&#xf1d1; </option>
                                                                <option value="#xf0e0;">&#xf0e0; </option>
                                                                <option value="#xf003;">&#xf003; </option>
                                                                <option value="#xf153;">&#xf153; </option>
                                                                <option value="#xf153;">&#xf153; </option>
                                                                <option value="#xf0ec;">&#xf0ec; </option>
                                                                <option value="#xf12a;">&#xf12a; </option>
                                                                <option value="#xf06a;">&#xf06a;</option>
                                                                <option value="#xf071;">&#xf071;</option>
                                                                <option value="#xf065;">&#xf065; </option>
                                                                <option value="#xf23e;">&#xf23e; </option>
                                                                <option value="#xf08e;">&#xf08e; </option>
                                                                <option value="#xf14c;">&#xf14c;</option>
                                                                <option value="#xf06e;">&#xf06e; </option>
                                                                <option value="#xf070;">&#xf070; </option>
                                                                <option value="#xf1fb;">&#xf1fb; </option>
                                                                <option value="#xf09a;">&#xf09a; </option>
                                                                <option value="#xf09a;">&#xf09a; </option>
                                                                <option value="#xf230;">&#xf230;</option>
                                                                <option value="#xf082;">&#xf082;</option>
                                                                <option value="#xf049;">&#xf049; </option>
                                                                <option value="#xf050;">&#xf050; </option>
                                                                <option value="#xf1ac;">&#xf1ac; </option>
                                                                <option value="#xf09e;">&#xf09e; </option>
                                                                <option value="#xf182;">&#xf182; </option>
                                                                <option value="#xf0fb;">&#xf0fb; </option>
                                                                <option value="#xf15b;">&#xf15b; </option>
                                                                <option value="#xf1c6;">&#xf1c6; </option>
                                                                <option value="#xf1c7;">&#xf1c7; </option>
                                                                <option value="#xf1c9;">&#xf1c9; </option>
                                                                <option value="#xf1c3;">&#xf1c3; </option>
                                                                <option value="#xf1c5;">&#xf1c5; </option>
                                                                <option value="#xf1c8;">&#xf1c8; </option>
                                                                <option value="#xf016;">&#xf016; </option>
                                                                <option value="#xf1c1;">&#xf1c1; </option>
                                                                <option value="#xf1c5;">&#xf1c5; </option>
                                                                <option value="#xf1c5;">&#xf1c5; </option>
                                                                <option value="#xf1c4;">&#xf1c4;</option>
                                                                <option value="#xf1c7;">&#xf1c7; </option>
                                                                <option value="#xf15c;">&#xf15c; </option>
                                                                <option value="#xf0f6;">&#xf0f6; </option>
                                                                <option value="#xf1c8;">&#xf1c8; </option>
                                                                <option value="#xf1c2;">&#xf1c2; </option>
                                                                <option value="#xf1c6;">&#xf1c6; </option>
                                                                <option value="#xf0c5;">&#xf0c5; </option>
                                                                <option value="#xf008;">&#xf008; </option>
                                                                <option value="#xf0b0;">&#xf0b0; </option>
                                                                <option value="#xf06d;">&#xf06d; </option>
                                                                <option value="#xf134;">&#xf134;</option>
                                                                <option value="#xf269;">&#xf269; </option>
                                                                <option value="#xf024;">&#xf024; </option>
                                                                <option value="#xf11e;">&#xf11e; </option>
                                                                <option value="#xf11d;">&#xf11d; </option>
                                                                <option value="#xf0e7;">&#xf0e7; </option>
                                                                <option value="#xf0c3;">&#xf0c3; </option>
                                                                <option value="#xf16e;">&#xf16e; </option>
                                                                <option value="#xf0c7;">&#xf0c7; </option>
                                                                <option value="#xf07b;">&#xf07b; </option>
                                                                <option value="#xf114;">&#xf114; </option>
                                                                <option value="#xf07c;">&#xf07c; </option>
                                                                <option value="#xf115;">&#xf115; </option>
                                                                <option value="#xf031;">&#xf031; </option>
                                                                <option value="#xf280;">&#xf280; </option>
                                                                <option value="#xf211;">&#xf211; </option>
                                                                <option value="#xf04e;">&#xf04e; </option>
                                                                <option value="#xf180;">&#xf180; </option>
                                                                <option value="#xf119;">&#xf119; </option>
                                                                <option value="#xf1e3;">&#xf1e3; </option>
                                                                <option value="#xf11b;">&#xf11b; </option>
                                                                <option value="#xf0e3;">&#xf0e3; </option>
                                                                <option value="#xf154;">&#xf154; </option>
                                                                <option value="#xf1d1;">&#xf1d1; </option>
                                                                <option value="#xf013;">&#xf013; </option>
                                                                <option value="#xf085;">&#xf085; </option>
                                                                <option value="#xf22d;">&#xf22d; </option>
                                                                <option value="#xf265;">&#xf265; </option>
                                                                <option value="#xf260;">&#xf260; </option>
                                                                <option value="#xf261;">&#xf261; </option>
                                                                <option value="#xf06b;">&#xf06b; </option>
                                                                <option value="#xf1d3;">&#xf1d3; </option>
                                                                <option value="#xf1d2;">&#xf1d2; </option>
                                                                <option value="#xf09b;">&#xf09b; </option>
                                                                <option value="#xf113;">&#xf113; </option>
                                                                <option value="#xf092;">&#xf092; </option>
                                                                <option value="#xf184;">&#xf184; </option>
                                                                <option value="#xf000;">&#xf000; </option>
                                                                <option value="#xf0ac;">&#xf0ac; </option>
                                                                <option value="#xf1a0;">&#xf1a0; </option>
                                                                <option value="#xf0d5;">&#xf0d5; </option>
                                                                <option value="#xf0d4;">&#xf0d4;</option>
                                                                <option value="#xf1ee;">&#xf1ee; </option>
                                                                <option value="#xf19d;">&#xf19d; </option>
                                                                <option value="#xf184;">&#xf184; </option>
                                                                <option value="#xf0c0;">&#xf0c0; </option>
                                                                <option value="#xf0fd;">&#xf0fd; </option>
                                                                <option value="#xf1d4;">&#xf1d4; </option>
                                                                <option value="#xf255;">&#xf255; </option>
                                                                <option value="#xf258;">&#xf258; </option>
                                                                <option value="#xf0a7;">&#xf0a7; </option>
                                                                <option value="#xf0a5;">&#xf0a5; </option>
                                                                <option value="#xf0a4;">&#xf0a4; </option>
                                                                <option value="#xf0a6;">&#xf0a6; </option>
                                                                <option value="#xf256;">&#xf256; </option>
                                                                <option value="#xf25b;">&#xf25b; </option>
                                                                <option value="#xf25a;">&#xf25a; </option>
                                                                <option value="#xf255;">&#xf255; </option>
                                                                <option value="#xf257;">&#xf257;</option>
                                                                <option value="#xf259;">&#xf259; </option>
                                                                <option value="#xf256;">&#xf256; </option>
                                                                <option value="#xf0a0;">&#xf0a0; </option>
                                                                <option value="#xf1dc;">&#xf1dc; </option>
                                                                <option value="#xf025;">&#xf025; </option>
                                                                <option value="#xf004;">&#xf004; </option>
                                                                <option value="#xf08a;">&#xf08a; </option>
                                                                <option value="#xf21e;">&#xf21e; </option>
                                                                <option value="#xf1da;">&#xf1da; </option>
                                                                <option value="#xf015;">&#xf015; </option>
                                                                <option value="#xf0f8;">&#xf0f8; </option>
                                                                <option value="#xf236;">&#xf236; </option>
                                                                <option value="#xf254;">&#xf254; </option>
                                                                <option value="#xf251;">&#xf251; </option>
                                                                <option value="#xf252;">&#xf252; </option>
                                                                <option value="#xf253;">&#xf253; </option>
                                                                <option value="#xf253;">&#xf253; </option>
                                                                <option value="#xf252;">&#xf252; </option>
                                                                <option value="#xf250;">&#xf250; </option>
                                                                <option value="#xf251;">&#xf251;</option>
                                                                <option value="#xf27c;">&#xf27c; </option>
                                                                <option value="#xf13b;">&#xf13b; </option>
                                                                <option value="#xf246;">&#xf246; </option>
                                                                <option value="#xf20b;">&#xf20b; </option>
                                                                <option value="#xf03e;">&#xf03e; </option>
                                                                <option value="#xf01c;">&#xf01c; </option>
                                                                <option value="#xf03c;">&#xf03c; </option>
                                                                <option value="#xf275;">&#xf275; </option>
                                                                <option value="#xf129;">&#xf129; </option>
                                                                <option value="#xf05a;">&#xf05a; </option>
                                                                <option value="#xf156;">&#xf156; </option>
                                                                <option value="#xf16d;">&#xf16d; </option>
                                                                <option value="#xf19c;">&#xf19c; </option>
                                                                <option value="#xf26b;">&#xf26b;</option>
                                                                <option value="#xf224;">&#xf224; </option>
                                                                <option value="#xf208;">&#xf208; </option>
                                                                <option value="#xf033;">&#xf033; </option>
                                                                <option value="#xf1aa;">&#xf1aa; </option>
                                                                <option value="#xf157;">&#xf157; </option>
                                                                <option value="#xf1cc;">&#xf1cc; </option>
                                                                <option value="#xf084;">&#xf084; </option>
                                                                <option value="#xf11c;">&#xf11c; </option>
                                                                <option value="#xf159;">&#xf159; </option>
                                                                <option value="#xf1ab;">&#xf1ab; </option>
                                                                <option value="#xf109;">&#xf109; </option>
                                                                <option value="#xf202;">&#xf202; </option>
                                                                <option value="#xf203;">&#xf203; </option>
                                                                <option value="#xf06c;">&#xf06c; </option>
                                                                <option value="#xf212;">&#xf212; </option>
                                                                <option value="#xf0e3;">&#xf0e3; </option>
                                                                <option value="#xf094;">&#xf094; </option>
                                                                <option value="#xf149;">&#xf149; </option>
                                                                <option value="#xf148;">&#xf148; </option>
                                                                <option value="#xf1cd;">&#xf1cd; </option>
                                                                <option value="#xf1cd;">&#xf1cd; </option>
                                                                <option value="#xf1cd;">&#xf1cd; </option>
                                                                <option value="#xf1cd;">&#xf1cd; </option>
                                                                <option value="#xf0eb;">&#xf0eb; </option>
                                                                <option value="#xf201;">&#xf201; </option>
                                                                <option value="#xf0c1;">&#xf0c1; </option>
                                                                <option value="#xf0e1;">&#xf0e1; </option>
                                                                <option value="#xf08c;">&#xf08c;</option>
                                                                <option value="#xf17c;">&#xf17c; </option>
                                                                <option value="#xf03a;">&#xf03a; </option>
                                                                <option value="#xf022;">&#xf022; </option>
                                                                <option value="#xf0cb;">&#xf0cb; </option>
                                                                <option value="#xf0ca;">&#xf0ca; </option>
                                                                <option value="#xf124;">&#xf124; </option>
                                                                <option value="#xf023;">&#xf023; </option>
                                                                <option value="#xf175;">&#xf175;</option>
                                                                <option value="#xf177;">&#xf177;</option>
                                                                <option value="#xf178;">&#xf178;</option>
                                                                <option value="#xf176;">&#xf176; </option>
                                                                <option value="#xf0d0;">&#xf0d0; </option>
                                                                <option value="#xf076;">&#xf076; </option>
                                                                <option value="#xf22a;">&#xf22a; </option>
                                                                <option value="#xf136;">&#xf136; </option>
                                                                <option value="#xf20c;">&#xf20c; </option>
                                                                <option value="#xf23a;">&#xf23a; </option>
                                                                <option value="#xf0fa;">&#xf0fa; </option>
                                                                <option value="#xf11a;">&#xf11a; </option>
                                                                <option value="#xf223;">&#xf223; </option>
                                                                <option value="#xf130;">&#xf130; </option>
                                                                <option value="#xf10b;">&#xf10b; </option>
                                                                <option value="#xf21c;">&#xf21c; </option>
                                                                <option value="#xf245;">&#xf245; </option>
                                                                <option value="#xf001;">&#xf001; </option>
                                                                <option value="#xf0c9;">&#xf0c9; </option>
                                                                <option value="#xf22c;">&#xf22c; </option>
                                                                <option value="#xf1ea;">&#xf1ea; </option>
                                                                <option value="#xf23d;">&#xf23d; </option>
                                                                <option value="#xf19b;">&#xf19b; </option>
                                                                <option value="#xf26a;">&#xf26a; </option>
                                                                <option value="#xf03b;">&#xf03b; </option>
                                                                <option value="#xf18c;">&#xf18c; </option>
                                                                <option value="#xf1d9;">&#xf1d9; </option>
                                                                <option value="#xf0c6;">&#xf0c6; </option>
                                                                <option value="#xf1dd;">&#xf1dd; </option>
                                                                <option value="#xf0ea;">&#xf0ea; </option>
                                                                <option value="#xf04c;">&#xf04c; </option>
                                                                <option value="#xf1b0;">&#xf1b0; </option>
                                                                <option value="#xf1ed;">&#xf1ed; </option>
                                                                <option value="#xf040;">&#xf040; </option>
                                                                <option value="#xf044;">&#xf044;</option>
                                                                <option value="#xf095;">&#xf095; </option>
                                                                <option value="#xf03e;">&#xf03e; </option>
                                                                <option value="#xf03e;">&#xf03e; </option>
                                                                <option value="#xf200;">&#xf200; </option>
                                                                <option value="#xf1a7;">&#xf1a7; </option>
                                                                <option value="#xf1a8;">&#xf1a8; </option>
                                                                <option value="#xf0d2;">&#xf0d2; </option>
                                                                <option value="#xf231;">&#xf231; </option>
                                                                <option value="#xf0d3;">&#xf0d3;</option>
                                                                <option value="#xf072;">&#xf072; </option>
                                                                <option value="#xf04b;">&#xf04b; </option>
                                                                <option value="#xf144;">&#xf144; </option>
                                                                <option value="#xf01d;">&#xf01d; </option>
                                                                <option value="#xf1e6;">&#xf1e6; </option>
                                                                <option value="#xf067;">&#xf067; </option>
                                                                <option value="#xf055;">&#xf055; </option>
                                                                <option value="#xf0fe;">&#xf0fe; </option>
                                                                <option value="#xf196;">&#xf196; </option>
                                                                <option value="#xf011;">&#xf011; </option>
                                                                <option value="#xf02f;">&#xf02f; </option>
                                                                <option value="#xf12e;">&#xf12e; </option>
                                                                <option value="#xf1d6;">&#xf1d6; </option>
                                                                <option value="#xf029;">&#xf029; </option>
                                                                <option value="#xf128;">&#xf128; </option>
                                                                <option value="#xf059;">&#xf059;</option>
                                                                <option value="#xf10d;">&#xf10d; </option>
                                                                <option value="#xf10e;">&#xf10e; </option>
                                                                <option value="#xf1d0;">&#xf1d0; </option>
                                                                <option value="#xf074;">&#xf074; </option>
                                                                <option value="#xf1d0;">&#xf1d0; </option>
                                                                <option value="#xf1b8;">&#xf1b8; </option>
                                                                <option value="#xf1a1;">&#xf1a1; </option>
                                                                <option value="#xf1a2;">&#xf1a2; </option>
                                                                <option value="#xf021;">&#xf021; </option>
                                                                <option value="#xf25d;">&#xf25d; </option>
                                                                <option value="#xf00d;">&#xf00d; </option>
                                                                <option value="#xf18b;">&#xf18b; </option>
                                                                <option value="#xf0c9;">&#xf0c9; </option>
                                                                <option value="#xf01e;">&#xf01e; </option>
                                                                <option value="#xf112;">&#xf112; </option>
                                                                <option value="#xf122;">&#xf122; </option>
                                                                <option value="#xf079;">&#xf079; </option>
                                                                <option value="#xf157;">&#xf157; </option>
                                                                <option value="#xf018;">&#xf018; </option>
                                                                <option value="#xf135;">&#xf135; </option>
                                                                <option value="#xf0e2;">&#xf0e2; </option>
                                                                <option value="#xf01e;">&#xf01e; </option>
                                                                <option value="#xf158;">&#xf158; </option>
                                                                <option value="#xf09e;">&#xf09e; </option>
                                                                <option value="#xf143;">&#xf143; </option>
                                                                <option value="#xf158;">&#xf158; </option>
                                                                <option value="#xf158;">&#xf158; </option>
                                                                <option value="#xf156;">&#xf156; </option>
                                                                <option value="#xf267;">&#xf267; </option>
                                                                <option value="#xf1de;">&#xf1de; </option>
                                                                <option value="#xf1e7;">&#xf1e7; </option>
                                                                <option value="#xf118;">&#xf118; </option>
                                                                <option value="#xf0de;">&#xf0de; </option>
                                                                <option value="#xf0dd;">&#xf0dd; </option>
                                                                <option value="#xf0dd;">&#xf0dd; </option>
                                                                <option value="#xf110;">&#xf110; </option>
                                                                <option value="#xf1b1;">&#xf1b1; </option>
                                                                <option value="#xf1bc;">&#xf1bc; </option>
                                                                <option value="#xf0c8;">&#xf0c8; </option>
                                                                <option value="#xf096;">&#xf096; </option>
                                                                <option value="#xf005;">&#xf005; </option>
                                                                <option value="#xf089;">&#xf089; </option>
                                                                <option value="#xf04d;">&#xf04d; </option>
                                                                <option value="#xf12c;">&#xf12c; </option>
                                                                <option value="#xf10a;">&#xf10a; </option>
                                                                <option value="#xf0e4;">&#xf0e4; </option>
                                                                <option value="#xf02b;">&#xf02b; </option>
                                                                <option value="#xf02c;">&#xf02c; </option>
                                                            </select>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <div class="row"></div>
                            </div>
                            <div class="tab-pane" id="setup">
                                <div class="row"></div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <h5 style="color: #67b0ca">
                                                <b>Metric Settings</b>
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <form action="#" id="metric-setup-form"
                                    data-url="{{ route('metrics.wizard.setting.store') }}">
                                    @csrf
                                    <div class="row">
                                        <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <label>Metric Name</label>
                                                <span class="glyphicon glyphicon-info-sign" style="color: #68b3c8"
                                                    data-toggle="tooltip"
                                                    data-title="Unique Metric Name Required: Smart Report categorizes charts, reports, metrics, and other modules as 'Analytical Resources.' Each analytical resource, regardless of its type, must have a distinct name. Therefore, please ensure that the Metrics name you provide is unique."></span>
                                                <input id="chart-name" name="name" type="text"
                                                    class="form-control username" placeholder="" />
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label>Metric Title</label>
                                                <span class="glyphicon glyphicon-info-sign" style="color: #68b3c8"
                                                    data-toggle="tooltip"
                                                    data-title="Title Required for Metrics: Please include a title for this Metric. This title will be prominently showcased on the generated Metric, offering vital context and information to viewers.">
                                                </span>
                                                <input id="title" name="title" type="text" class="form-control username"
                                                    placeholder="" />
                                            </div>
                                        </div>

                                        <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <label>Metric Category</label>
                                                <span class="glyphicon glyphicon-info-sign"
                                                    style="color: #68b3c8; margin-left: 5px" data-toggle="tooltip"
                                                    data-title="Category Selection Required: Please choose the category to which the Metric belongs. This helps organize and classify the Metrics appropriately for easy retrieval and navigation."></span>

                                                <select id="category" name="category" class="form-control"
                                                    placeholder="">
                                                    <option value="">Please Choose Category</option>
                                                    @foreach ($categories as $category)
                                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label>Metric Connection</label>
                                                <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="Data Connection Selection: Please select the data connection through which Smart Report Maker can access the necessary data for generating the Metric. This ensures that the correct data source is utilized to produce  relevant visualizations."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                                <div class="row" style="margin-right:0;margin-left:0">
                                                    <select id="connection" name="connection"
                                                        class="form-control col-sm-10">
                                                        <option value="">Please Choose Data Connection</option>
                                                        <option value="default"
                                                            data-url="{{ route('data_connections.getTables'," default")
                                                            }}">
                                                            Default</option>
                                                        @foreach ($connections as $connection)
                                                        <option value="{{ $connection->id }}"
                                                            data-url="{{ route('data_connections.getTables',$connection->id) }}">
                                                            {{
                                                            $connection->connection_name }}
                                                        </option>
                                                        @endforeach
                                                        @if(auth()->user()->isAdminOrOwner())
                                                        <option value="add-new-connection"
                                                            data-url="{{ route('quick-add',['add'=> 'data-connections']) }}">
                                                            + Add New Connection</option>
                                                        @endif

                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <label>Metric Security Type</label><span
                                                    class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="Security Type Selection: Decide on the security level for your Metric. Opt for 'Private' to limit access to logged-in users from designated groups. Alternatively, opt for 'Public' to grant access to the metric and its detailed drill-down data to anyone, irrespective of their login status."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                                <select id="security-type" name="security_type" class="form-control"
                                                    placeholder="">
                                                    <option value="">Please Choose Security type</option>
                                                    <option value="private">Private</option>
                                                    <option value="public">Public</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label>Metric Group</label><span class="glyphicon glyphicon-info-sign"
                                                    data-toggle="tooltip"
                                                    data-title="Group Selection: If the security type is set to private, please select the groups whose users will have access to this Metric. Only members of the selected groups will be able to view the Metric."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                                <select multiple id="groups" name="groups[]" class="form-control"
                                                    placeholder="">
                                                    @foreach ($groups as $group)
                                                    <option value="{{ $group->group_ID }}">{{ $group->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        {{-- <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <input class="form-check-input" name="chart_link" type="checkbox"
                                                    value="" id="detaild-page" checked />
                                                <label>Link chart to a summery report</label>
                                                <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="Enable Detail Page Redirect: When this option is enabled, clicking the chart will redirect users to a detailed page. This page will include a summary report containing both the chart data and the chart itself, providing users with comprehensive information and insights."
                                                    style="color: #68b3c8; margin-left: 10px">
                                                </span>
                                            </div>
                                        </div> --}}
                                        <div class="col-sm-5">
                                            <div class="form-group"></div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="tab-pane" id="data">
                                <form action="#" id="metric-data-form"
                                    data-url="{{ route('metrics.wizard.data.store') }}">
                                    @csrf
                                    <div class="row"></div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <h5 style="color: #67b0ca"><b>Metric / KPI data settings</b></h5>

                                                {{-- <label style="color: #67b0ca; margin-left: 25px"
                                                    class="x-axis-label">X
                                                    axis
                                                    Settings</label> --}}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <label>Performance data table</label>
                                                <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="Choose the database table containing performance data from which you wish to calculate the Metric / KPI."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                                <select class="form-control" id="performance-data-table"
                                                    name="performance_data_table"
                                                    data-url="{{ route('data_connections.index') }}">
                                                    <option value="">Please Select Table</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label>Calculation column</label>
                                                <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="Choose the column to which you want to apply the calculation function. It should typically be a numeric column, except when selecting the 'count' function."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                                <select class="form-control" id="calculation-column"
                                                    name="calculation_column"
                                                    data-url="{{ route('data_connections.index') }}">
                                                    <option value="">Please Select Column</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div>
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <div class="form-group">
                                                    <label>Calculation function</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="The calculation function defines the operation to be performed on the calculation column to determine the value of the Metric."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="function" name="function">
                                                        <option value="distinct_count">Count Distinct</option>
                                                        <option value="count">Count All</option>
                                                        <option value="conditional_count" class="conditional">
                                                            Conditional Count</option>
                                                        <option value="sum">Sum</option>
                                                        <option value="conditional_sum" class="conditional">Conditional
                                                            Sum</option>
                                                        <option value="average">Average</option>
                                                        <option value="conditional_average" class="conditional">
                                                            Conditional Average</option>
                                                        <option value="max">Max</option>
                                                        <option value="conditional_max" class="conditional">Conditional
                                                            Max</option>
                                                        <option value="min">Min</option>
                                                        <option value="conditional_min" class="conditional">Conditional
                                                            Min</option>
                                                        <option value="sample-standard-deviation">Sample Standard
                                                            Deviation
                                                        </option>
                                                        <option value="population-standard-deviation">Population
                                                            Standard Deviation</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    <label>Metric Direction</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="This field allows you to specify the directionality of the metric. You can either select the 'Increase is Better' option if the metric, such as sales, is considered favorable when it increases, or select the 'Decrease is Better' option if the metric, such as the number of failed orders, is considered favorable when it decreases. By selecting the appropriate directionality, you ensure that the system interprets and presents the metric's performance correctly."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="metric-direction"
                                                        name="metric_direction">
                                                        <option value="increase">Increase is Better</option>
                                                        <option value="decrease">Decrease is Better</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="filter-container" style="display: none">
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <div class="form-group">
                                                    <label>Filtration column</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="When selecting a conditional function like Conditional Count, you must choose a column for filtering. For example, to count female employees, the counted column would be 'employee ID', while the filter column would be 'gender', and the filter value would be 'female' to count only female employees. In this field, you need to select the filtration column."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="filtration-column"
                                                        name="filtration_column">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    <label>Filtration Value</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="When selecting a conditional function like Conditional Count, you must choose a column for filtering. For example, to count female employees, the counted column would be 'employee ID', while the filter column would be 'gender', and the filter value would be 'female' to count only female employees. In this field, you need to select the filtration value."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <input type="text" id="filteration-value" class="form-control"
                                                        name="filtration_value">
                                                </div>
                                            </div>
                                        </div>


                                        <div>
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <div class="form-group">
                                                    <label>Date Filter column</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="This column serves as the date field utilized for data filtration, enabling the filtering of data by specific dates. It is instrumental when applying date filtration to estimate Metric values within defined date ranges."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="date-filter-column"
                                                        name="date_filter_column">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    <label>Date range</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="The date range specifies the period for estimating the Metric. Selecting 'All Time' implies no filtration, utilizing all stored data for estimating the Metric value."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="date-range" name="date_range">
                                                        @foreach ($dateRanges as $range)

                                                        <option value="{{ $range['value'] }}">{{ $range['label'] }}
                                                        </option>

                                                        @endforeach

                                                    </select>
                                                    <input type="hidden" id="date-range-hidden" name="date_range"
                                                        value="all_time">
                                                </div>
                                            </div>
                                        </div>
                                        <div>
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <div class="form-group">
                                                    <label>Display Format</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="Select your preferred display format for the Metric. You have the option to display it solely as a numerical value, with a custom measuring unit or currency appended, or as a percentage. Please note that the percentage option should only be selected if the stored value in the database accurately represents a percentage."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="display-format"
                                                        name="display_format">
                                                        <option value="numeric">Numeric Value</option>
                                                        <option value="compact_currency">Compact Currency Format
                                                        </option>
                                                        <option value="standard_currency">Standard Currency Format
                                                        </option>
                                                        <option value="numeric_with_custom_unit">Custom Unit</option>
                                                        <option value="percentage">Percentage</option>
                                                        <option value="percentage_of_total" class="conditional-only"
                                                            style="display: none">Percentage Of Total</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    <label>Custom Unit or Currency</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="Any measurement unit, currency, or any other text you wish to append to the metric."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <input type="text" class="form-control" name="custom_unit_input"
                                                        id="custom-unit-input" placeholder="" />
                                                </div>
                                            </div>
                                        </div>
                                        <div>
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <div class="form-group">
                                                    <label>Compare with</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="Enable comparison between the current metric value, either with an exact fixed target value or a historical value, which requires selecting the reference point for comparison. You can choose either 'Same Time Last Year,' which aligns the selected day, month, or week with its equivalent time in the preceding year, or 'Preceding Period,' which compares with the day, week, or month immediately preceding."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select class="form-control" id="compare-with" name="compare_with">
                                                        <option value="no_comparison">No Comparison</option>
                                                        <option value="compare_with_preceding_period">Compare With
                                                            Preceding Period</option>
                                                        <option value="compare_with_same_time_last_year">Compare With
                                                            Same Time Last Year</option>
                                                        <option value="compare_with_a_fixed_target_value">Compare With a
                                                            Fixed Target Value</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    <label>Target Value Input</label>
                                                    <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="The target value against which you wish to compare your KPI/Metric."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <input type="text" class="form-control" name="target_value_input"
                                                        id="target-value-input" placeholder="" />
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-5 col-sm-offset-1">
                                            <div class="form-group">
                                                <input class="form-check-input" type="checkbox" id="drill-down" checked
                                                    name="drill_down" />
                                                <label> Enable Drill Down </label>
                                                <span class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                    data-title="The 'drill-down' feature empowers users to delve deeper into the data, uncovering detailed insights related to the metric. For instance, if your metric involves counting orders, enabling drill-down functionality allows users to access individual order details used in the calculation by simply clicking on the metric."
                                                    style="color: #68b3c8; margin-left: 5px">
                                                </span>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <div class="form-group">
                                                    <label>Drill Down Columns</label><span
                                                        class="glyphicon glyphicon-info-sign" data-toggle="tooltip"
                                                        data-title="Choose the columns to be displayed in the detailed report to which users will be directed when they clicking on this metric."
                                                        style="color: #68b3c8; margin-left: 5px">
                                                    </span>
                                                    <select multiple id="drill-down-columns" name="drill_down_columns[]"
                                                        class="form-control" placeholder="">
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="wizard-footer">

                                <div class="text-center">
                                    <label id="error" style="display: none;font-size:1em;color:red" class="error"
                                        data-toggle="tooltip" data-title="" for="confirmpassword">

                                    </label>

                                </div>
                                <div class="pull-right">
                                    <!-- Finish Button -->
                                    <input type="button" class="btn btn-finish btn-fill btn-warning btn-wd"
                                        name="finish" value="Finish" style="display: none" />

                                    <input type="button" class="btn btn-next btn-fill btn-warning btn-wd type-step"
                                        name="next" value="Next" />
                                </div>
                                <div class="pull-left">
                                    <input type="button" class="btn btn-previous btn-default btn-wd disabled"
                                        name="previous" value="Previous" />
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- wizard container -->
            </div>
        </div>
        <!-- row -->
    </div>
</div>

@endsection

@section('scripts')

<script src="{{ get_asset('dist/js/metrics/add.js')}}"></script>
@endsection
