<?php

/*
 * This $calculated_columns array is for adding custom columns. 
 * These custom columns are not stored in the database but rather has values based on calculations.
 * Each element in the $calculated_columns array should be something like the following: 
 * 
 * "custom_column_name" => function($row){
  return $row["one_column"] * $row["another_column"];
  }
 * 
 * Each array element has a key and a value.
 * The key should be the custom column name as one word. 
 * The value should be a callback function that should return the calculated value of a certain cell in the custom column.
 * The sytem will automatically execute the callback functions on each cell in the custom column to return its calculated value. 
 * The only parameter that will be passed to the the callback function is the $row array which stores data of each given row. 
 * 
 */

/*
 * Example of a custom column "total_price" for calculating a total price of an order
 * from two existing columns "unit_price" and "quanitity"
 * 
 * $calculated_columns = array(

    "total_price" => function($row){
       return $row["unit_price"] * $row["quantity"];
      }

  );
 * 
 * 
 */

$calculated_columns = array(
   
    //add your custom columns here
    
    
    
);

